Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.model.impl
Class DefaultSWRLAtomList

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultFrame
          edu.stanford.smi.protege.model.DefaultInstance
              edu.stanford.smi.protege.model.DefaultSimpleInstance
                  edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
                      edu.stanford.smi.protegex.owl.model.impl.DefaultRDFList
                          edu.stanford.smi.protegex.owl.swrl.model.impl.DefaultSWRLAtomList

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, edu.stanford.smi.protege.model.Localizable, edu.stanford.smi.protege.model.SimpleInstance, OWLIndividual, ProtegeInstance, RDFIndividual, RDFList, RDFObject, RDFResource, Visitable, SWRLAtomList, SWRLIndividual, Serializable, Comparable<edu.stanford.smi.protege.model.Frame>

    public class DefaultSWRLAtomList

extends DefaultRDFList
implements SWRLAtomList

See Also:
  Serialized Form

Constructor Summary
`DefaultSWRLAtomList()`
`DefaultSWRLAtomList(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.model.FrameID id)`

Method Summary
`void` | `accept(OWLModelVisitor visitor)` This method is provided to be used with the `OWLModelVisitor`, which is part of the visitor design pattern.
`String` | `getBrowserText()` Gets a human-readable visual representation of this resource.
`void` | `getReferencedInstances(Set<RDFResource> set)` Collects all instances (SWRLInstances, classes, etc) that are somehow involved in the subexpression below this.
`void` | `setInHead(boolean isInHead)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.DefaultRDFList
`append, contains, equalsStructurally, getFirst, getFirstLiteral, getRest, getStart, getValueLiterals, getValues, isClosed, removeListValue, removeListValue, setFirst, setRest, size`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, getAllValuesFromOnTypes, getComments, getDifferentFrom, getDocumentation, getHasValuesOnTypes, getIcon, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setDocumentation, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, toString`

Methods inherited from class edu.stanford.smi.protege.model.DefaultSimpleInstance
`rename`

Methods inherited from class edu.stanford.smi.protege.model.DefaultInstance
`addDirectType, addInstanceListener, copy, deepCopy, getDirectType, getDirectTypes, getOwnFacetValue, getOwnFacetValues, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes, shallowCopy`

Methods inherited from class edu.stanford.smi.protege.model.DefaultFrame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, compareTo, delete, equals, equals, getDefaultKnowledgeBase, getDefiningProjectURI, getDirectOwnSlotValue, getDirectOwnSlotValues, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hashCode, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, localize, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setSystem, setVisible`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFList
`append, contains, getFirst, getFirstLiteral, getRest, getStart, getValueLiterals, getValues, isClosed, setFirst, setRest, size`

Constructor Detail

### DefaultSWRLAtomList

    public DefaultSWRLAtomList(edu.stanford.smi.protege.model.KnowledgeBase kb,
                               edu.stanford.smi.protege.model.FrameID id)

### DefaultSWRLAtomList

    public DefaultSWRLAtomList()

Method Detail

### setInHead

    public void setInHead(boolean isInHead)

  Specified by:
    `setInHead` in interface `SWRLAtomList`

### getBrowserText

    public String getBrowserText()

  Description copied from interface: `RDFResource`
  Gets a human-readable visual representation of this resource. This is typically just the name of the resource, but for example, with anonymous class expressions this will return the full expression including special symbols.

  Specified by:
    `getBrowserText` in interface `edu.stanford.smi.protege.model.Frame`
  Specified by:
    `getBrowserText` in interface `ProtegeInstance`
  Specified by:
    `getBrowserText` in interface `RDFObject`
  Specified by:
    `getBrowserText` in interface `RDFResource`
  Overrides:
    `getBrowserText` in class `DefaultRDFList`
  Returns:
    the browser text

### getReferencedInstances

    public void getReferencedInstances(Set<RDFResource> set)

  Description copied from interface: `SWRLIndividual`
  Collects all instances (SWRLInstances, classes, etc) that are somehow involved in the subexpression below this.

  Specified by:
    `getReferencedInstances` in interface `SWRLIndividual`

### accept

    public void accept(OWLModelVisitor visitor)

  Description copied from interface: `Visitable`
  This method is provided to be used with the `OWLModelVisitor`, which is part of the visitor design pattern. By implementing this method, instances of the implementing class are stating that they can accept an `OWLModelVisitor`

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `DefaultRDFList`
  Parameters:
    `visitor` - The visitor that will operate on this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.